Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229429 - mkinitrd can't handle 'auto' file system type entry in fstab for '/'
Summary: mkinitrd can't handle 'auto' file system type entry in fstab for '/'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 23:55 UTC by daniel peess
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-21 00:55:22 UTC


Attachments (Terms of Use)
error mounting /dev/root on /sysroot kernel panic (deleted)
2007-02-20 23:55 UTC, daniel peess
no flags Details

Description daniel peess 2007-02-20 23:55:13 UTC
kernel-2.6.19-1.2911.fc6 doesn't boot, kernel-2.6.19-1.2895.fc6 still boots fine.

during booting this message appears: error mounting /dev/root on /sysroot.
afterwards the kernel panics because it can't mount any root file system.

[root@smeagol ~]# yum -C list | grep 'installed\s*$' | grep 'kernel\|initrd'
kernel.x86_64                            2.6.19-1.2895.fc6      installed       
kernel.x86_64                            2.6.19-1.2911.fc6      installed       
mkinitrd.x86_64                          5.1.19.0.2-1           installed

have a look at the kernel panic screenshot.

Comment 1 daniel peess 2007-02-20 23:55:13 UTC
Created attachment 148459 [details]
error mounting /dev/root on /sysroot kernel panic

Comment 2 daniel peess 2007-02-21 00:17:19 UTC
i've just created a new initrd for the 2.6.19-1.2895.fc6 kernel, now this kernel
also doesn't boot anymore:
error mounting /dev/root on /sysroot as auto: No such device.

so it's probably a bug in mkinitrd-5.1.19.0.2-1.


Comment 3 daniel peess 2007-02-21 00:55:22 UTC
i've compared the two ramdisks:

...
@@ -84,7 +80,7 @@
 lvm vgchange -ay --ignorelockingfailure  VolGroup00
 resume /dev/md1
 echo Creating root device.
-mkrootdev -t ext3 -o defaults,ro /dev/VolGroup00/LogVol00
+mkrootdev -t auto -o defaults,ro /dev/VolGroup00/LogVol00
 echo Mounting root filesystem.
 mount /sysroot
 echo Setting up other filesystems.
...

i've switched the root file system fstab entry from 'ext3' to 'auto' myself...
mkinitrd can't handle that.

works fine now, sorry for the noise.



Note You need to log in before you can comment on or make changes to this bug.